#include <iostream>
using namespace std;
int main()
{
	int p[5], N, K;
	cin >> N >> K;
	for (int i = 0; i < N; i++)
	{
		cin >> p[i];
	}
	for (int i = 0; i < N; i++)
	{
		if (p[i] == K)
		{
			if (i = N-1)
			{
				cout << p[0];
				break;
			}
			cout << p[i + 1]; 
			break;
		}
	}
}